<div class="container">
  <div class="row">
    <div class="col-sm-6 col-md-4 col-md-offset-4">
      <br>
      <h2>Créer un compte</h2>
      <form [formGroup]="signupForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
          <label for="email">Adresse mail</label>
          <input type="text"
                 id="email"
                 class="form-control"
                 formControlName="email">
        </div>
        <div class="form-group">
          <label for="password">Mot de passe</label>
          <input type="password"
                 id="password"
                 class="form-control"
                 formControlName="password">
        </div>
        <div class="form-group">
          <label for="password">Profil utilisateur</label>
          <select class="form-control"
                  id="role"
                  formControlName="role">
            <option value="2">Administrateur</option>
            <option value="1">Chef de projet</option>
            <option value="0">Salarié</option>
          </select>
        </div>
        <button class="btn btn-primary"
                type="submit"
                [disabled]="signupForm.invalid">Ajouter un utilisateur
        </button>
      </form>
      <p class="text-danger">{{ errorMessage }}</p>
    </div>
  </div>
</div>
